System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.HtmlControls.HtmlInputControl System.Web.UI.IPostBackDataHandler System.Web.UI.SupportsEventValidation System.ComponentModel.DefaultEvent("ServerChange")

You can use the control to embed information that is hidden from the user within a <form> element. This information is sent when the Web page is posted back to the server. The control provides a event that is raised when the property changes values between posts to the server. This allows you to create an event handler that performs a custom set of instructions each time the event is raised.

The control does not provide a built-in way to post back to the server. You must provide another control on the Web page that supports posting to the server, such as an control, to send the value of the control back to the server.

The ASP.NET page framework uses this HTML feature to automatically load and persist the view state of server controls on a page.

For a list of initial property values for an instance of , see the constructor.

Allows programmatic access to the HTML <input type=hidden> element on the server.

- Constructor

  Use this constructor to create and initialize a new instance of the class.

  The following table shows the initial property value for an instance of .

  Property

  Initial Value

  The "hidden" literal string.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` ``

  The method checks to see whether the postback value of the control is different from the previous value, and if so, returns true.

  The method is used primarily by control developers extending the functionality of the control.

  Processes the postback data for the control.

  true if the control's state has changed as a result of the postback; otherwise, false.

  The key identifier for the control. The collection of all incoming name values.
- Method
  System.Void ``

  The method is called just prior to rendering the control. The method is used primarily by control developers extending the functionality of the control.

  Raises the event.

  An that contains event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The event is raised when the property is changed on the server.

  The control must have view state enabled for the event to work correctly.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event. This method allows you to handle the event directly.

  A that contains event data. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void

  The method is used primarily by control developers to extend the functionality of the control.

  Calls the method to signal the control that the state of the control has changed.

- Method
  2.0.0.0
  System.Void `` To be added.

  Renders the control's attributes to the specified object.

  The that contains the output stream to render on the client.
- Event
  System.EventHandler

  The event is raised when the property is changed between posts to the server.

  The control must have view state enabled for the event to work correctly.

  For more information about handling events, see Consuming Events.

  Occurs when the property is changed on the server.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` `` To be added.

  Implements the interface method by calling the method.

  true if the control's state has changed as a result of the postback; otherwise, false.

  The key identifier for the control. The collection of all incoming name values.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added.

  Implements the interface method by calling the method.